#include <atmel_start.h>

#include "jump_func.h"
#include "flash_utils.h"
#include "i2c_slave.h"
#include "COAST.h"

__DEFAULT_NO_xMR

//! PMBus commmands structure
extern cmd_space_t cmds;

uint8_t status_cml;

int main(void)
{
        system_init();

        if (user_flash.copy_fw == 0xBEC0ABCD) {
                setup_I2C_slave(&cmds);

                while (1)
                        ;

        }

        jump_to_secondary();
}
